Subject: bug#6715: 24.0.50; [PATCH] Cygwin build should use pre-crt0.c

From: Dan Nicolaescu <[email-masked]>
Date: Sat, 24 Jul 2010 17:34:21 -0400

Ken Brown <[email-masked]> writes:

> On 7/24/2010 8:22 AM, Ken Brown wrote:
>> On 7/24/2010 1:13 AM, Dan Nicolaescu wrote:
>>> BTW, it would be good if you could look at configure.in and see if the
>>> line:
>>>
>>>     cygwin) LINKER="\$(CC)" ;;
>>>
>>> [Just trying to remove special cases from the build system to simplify it...]
>>
>> There's no need for cygwin to be a special case here.  Fixing this also
>> makes the cygwin case irrelevant in the code that sets LIB_GCC a little
>> further down in configure.in.  Please apply the attached patch.
>
> Never mind.  I was just given access to the repository, and I applied
> the patch myself.  I didn't regenerate configure.  I wasn't sure if I
> should do that or not.

Please do, use autoconf-2.65 and look at the diff for configure, only
the few lines that you touched should change.  There's no need for a
ChangeLog entry for regenerating configure,

> Since this is my first commit, I would appreciate it if one of the
> experienced people would check that I did it right.

The patch looks fine.  Thanks!

Here's some other cygwin related cleanups:

- remove this:

#ifdef CYGWIN
#define BSD4_2
#endif

and instead add defined(CYGWIN) in the right place in the only user: vm-limit.c

- in configure.in the setting for lastfile.o 
cygwin is the only platform that uses different linking order.
If the "normal" linking order works on cygwin too, it would simplify the build a bit.